Hi,
I think that the server are impossible to run on Android higher than 5.


About the embedded version I got it to run with the help of Vlad.

The process is a little tricky.

1º
You must put the files( libfbclient, libEngine12, .. ) on asset folder and
then copy that to app/files folder.
The folder structure must be kept in order to work.

ex :
..../app.com/files/fb/firebird.conf
..../app.com/files/fb/firebird.msg
..../app.com/files/fb/lib/libfbclient.so
..../app.com/files/fb/plugins/libEngine12.so
..../app.com/files/fb/intl/intl.conf
..../app.com/files/fb/intl/libfbintl.so

I don't know if all files are necessary.
The process of putting native libraries on the lib folder will not work
because the embedded version must have the above structure.


2º
Load the libfbclient using then full path.


3º
FB tries to create the lock file on /data/local/tmp. In versions higher
than 5 this folder isn't writable.
You may set env variable  FIREBIRD_LOCK  to app/cache.

After that you should have the embedded version running.

You can follow the "FB3 Embedded on Android" topic that I had yesterday.

Regards
jGoncalves



On Mon, Feb 19, 2018 at 10:13 PM, Kurt Federspiel federonl...@yahoo.com
[firebird-support] <firebird-support@yahoogroups.com> wrote:

>
>
> Ola Jorge.
>
> I tried installing on Rooted N7 with Android 5.1 and got a similar
> result.  I think I'm going to drop this for now; there are other solutions
> that will take a bit less time.
>
> Thanks everyone....great responses as always.
> Kurt.
>
>
>
>
>
> On Thursday, February 15, 2018 11:56 AM, "Jorge Gonçalves
> projo...@gmail.com [firebird-support]" <firebird-support@yahoogroups.com>
> wrote:
>
>
>
> Tried to run the last version on a rooted device and I have gotten:
> Error only position independent executables are supported.
>
> It seems that since android 5 only pie executables are supported.
>
> I will try the embedded version this weekend.
>
> On 15 Feb 2018 5:20 p.m., "Kurt Federspiel federonl...@yahoo.com
> [firebird-support]" <firebird-support@yahoogroups.com> wrote:
>
>
> Thanks, Carlos.
>
> I'll take a look this weekend and see what I can come up with...
> Kurt.
>
>
>
>
>
>
> On Thursday, February 15, 2018 3:55 AM, "'Carlos H. Cantu'
> lis...@warmboot.com.br [firebird-support]" <firebird-support@yahoogroups.
> com <firebird-supp...@yahoogroups..com>> wrote:
>
>
>
> Yes, there is, but afaik, there isn't any doc, guide or how-to available
> :-(
>
> You can download FB for Android in firebirdsql.org and try to figure out
> by yourself. If you are successful, it would be nice if you can write a
> how-to describing the entire process.
>
> []s
> Carlos
> Migration Guide to Firebird 3 - http://www.firebirdnews.org/
> migration-guide-to-firebird-3/
> <http://www.firebirdnews.org/migration-guide-to-firebird-3/>
> www.firebirdnews.org - www.FireBase.com.br
>
>
>
>
>
> Greets...been awhile since I stopped by...
>
> I'm doing some work on Android and want a bit more security that the
> "none" provided by Sqlite.  Is there any way to run Firebird embedded in an
> App on Android?
>
> I'm going to assume without a rooted device (or SYSTEM), a JNI and
> low-level installation that this is a no-go, but I had to ask.
>
> Thanks.
> Kurt.
>
>
>
>
>
> 
>


<https://www.avast.com/sig-email?utm_medium=email&utm_source=link&utm_campaign=sig-email&utm_content=webmail>
Virus-free.
www.avast.com
<https://www.avast.com/sig-email?utm_medium=email&utm_source=link&utm_campaign=sig-email&utm_content=webmail>
<#DAB4FAD8-2DD7-40BB-A1B8-4E2AA1F9FDF2>
  • [firebird-supp... federonl...@yahoo.com [firebird-support]
    • Re: [fire... 'Carlos H. Cantu' lis...@warmboot.com.br [firebird-support]
      • Re: [... Kurt Federspiel federonl...@yahoo.com [firebird-support]
        • R... Jorge Gonçalves projo...@gmail.com [firebird-support]
          • ... Kurt Federspiel federonl...@yahoo.com [firebird-support]
            • ... Jorge Gonçalves projo...@gmail.com [firebird-support]

Reply via email to